KSambaPlugin

Network

Source (link to git-repo or to original if based on someone elses unmodified work): Add the source-code for this project on opencode.net

0
Score 50.0%
Description:

Note: Since KDE 3.3 KSambaPlugin is an official part of the kdenetwork module and is not maintained separately anymore.

KSambaPlugin is a KDE 3 plugin for configuring a SAMBA server.
It consists of two plugins, a KControl Center module for all SAMBA
options and a Konqueror properties dialog plugin
for quickly configuring the SAMBA share options of a directory.

It is meant to be a full SAMBA configuration tool.

You can Have a peer-to-peer or Workgroup (microsoftese) network model Using Linux/Unix and KDE. Requirement:

1. KSambaPlugin (allow easy folder sharing)
2. Smb4k (network Neighborhood)
3. Samba (clients for Microsoft network)
Last changelog:

16 years ago

06/08/2004: Thanks to Giedrius Liubavicius there is a SUSE 9.1 RPM for v0.5 now!
03/17/2004: Thanks to Julien Morot there is a Debian package for v0.5 now!
01/13/2004: KSambaPlugin v0.5 released!
New options of SAMBA 3.0.2 have been added and now it is really compatible with Qt 3.0 and KDE 3.0. If you had compilation problems with v0.5b2 please download this version.

Mekon

16 years ago

This is just what the doctor ordered for most of my clients, who need that bit of GUI Power...


Excellent work...

Ian

Report

imapi

16 years ago

This is "must be" in kde 3.3

Report

somekool

16 years ago

any difference between smb.conf for samba 2 and samba 3 ?

does your tool support samba 3 ?

thanks

Report

C

janschaefer

16 years ago

Yes it supports Samba 3.

Report

maarizwan

16 years ago

Unable to compile in Slackware 9.1. earlier version worked. 0.5 doesn't work. :(

Report

xosrow

16 years ago

I just compiled it under slackware 9.1
here's my specs.
ksambaplugin version : 0.5
kde release : 3.2.0
qt version : 3.2.3
didn't have any problems.

Your error might be specific to your installation.

Report

C

janschaefer

16 years ago

Could you send me a more detailed error description?

Report

maarizwan

16 years ago

/bin/sh ../libtool --silent --mode=link --tag=CXX g++ -Wnon-virtual-dtor -Wno-long-long -Wundef -Wall -pedantic -W -Wpointer-arith -Wmissing-prototypes -Wwrite-strings -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -O2 -fno-exceptions -fno-check-new -o libkcm_kcmsambaconf.la.closure libkcm_kcmsambaconf_la_closure.lo -L/usr/X11R6/lib -L/usr/lib/qt-3.2.2/lib -L/opt/kde/lib -module -avoid-version -module -no-undefined -R /opt/kde/lib -R /usr/lib/qt-3.2.2/lib -R /usr/X11R6/lib printerdlgimpl.lo kcmsambaconf.lo sambafile.lo sambashare.lo sharedlgimpl.lo smbpasswdfile.lo passwd.lo common.lo usertabimpl.lo filemodedlgimpl.lo hiddenfileview.lo dictmanager.lo qmultichecklistitem.lo smbconfconfigwidget.lo linuxpermissionchecker.lo share.lo kcminterface.lo kcmprinterdlg.lo socketoptionsdlg.lo usertab.lo filemodedlg.lo joindomaindlg.lo userselectdlg.lo groupselectdlg.lo expertuserdlg.lo -lkdeprint -lkdeui -lkdecore -lqt-mt -lpng -lz -lm -lXext -lX11 -lSM -lICE -lpthread
libtool: link: `/usr/lib/gcc-lib/i486-slackware-linux/../../libGL.la' is not a valid libtool archive
make[2]: *** [libkcm_kcmsambaconf.la.closure] Error 1
make[2]: Leaving directory `/root/KDE_app_sources/ksambaplugin-0.5/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/root/KDE_app_sources/ksambaplugin-0.5'
make: *** [all] Error 2

Report

xcallejas

16 years ago

i've compiled it and installed but an error messages comes out in the term:

"QMutex::unlock: unlock from different thread than locker
was locked by 0, unlock attempt from -1084421600"

what I should do????

Report

kbeaumont

16 years ago

You have a Mutex error, (QT) I have seen this on several kde apps. Usually the problem is because it's trying to either destroy a window but it doesn't have ownership. Or it's trying to start an external app (kdesu etc.) that is can't find. Here is a link to a similiar report for klmdonkey http://mail.gnu.org/archive/html/kmldonkey-users/2003-03/msg00011.html
Whe you compiled the application did you set --prefix=? I hope this can point you in a possible direction.

Report

C

janschaefer

16 years ago

I have no idea, sorry!?

Report

oliverd17

16 years ago

Hi,

I've just compiled and tested the plugin and i really like it. The only thing what was missing is a support for other languages. So it looks a bit confusing on the desktop, some things are translated and others are not...

Oliver

Report

Devlin

16 years ago

Cool Idea!
Will try it today :)

Report

16 years ago

06/08/2004: Thanks to Giedrius Liubavicius there is a SUSE 9.1 RPM for v0.5 now!
03/17/2004: Thanks to Julien Morot there is a Debian package for v0.5 now!
01/13/2004: KSambaPlugin v0.5 released!
New options of SAMBA 3.0.2 have been added and now it is really compatible with Qt 3.0 and KDE 3.0. If you had compilation problems with v0.5b2 please download this version.

12345678910
product-maker Base: 4 x 5.0 Ratings
File (click to download) Version Description PackagetypeArchitectureRelease Channel Downloads Date Filesize DL OCS-Install MD5SUM
*Needs pling-store or ocs-url to install things
Pling
0 Affiliates
Details
license
version
0.5
updated Jun 08 2004
added Jan 16 2004
downloads 24h
0
mediaviews 24h 0
pageviews 24h 0
System Tags app software